View Issue Details

IDProjectCategoryView StatusLast Update
0001045SOGoWeb Generalpublic2011-03-30 11:22
Reporterpaubry Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.3.4 
Fixed in Version1.3.6 
Summary0001045: Custom page title
Description

The page title seems to be fixed (SOGo). It would be nice if configurable; in particular when running on clustered servers, we wish to use the page title to indicate the users on which physical server the application is running on.
Patch attached adds parameter SOGoPageTitle.
Best,
PA

TagsNo tags attached.

Activities

2010-12-07 07:39

 

patch-1.3.4-PageTitle.txt (1,951 bytes)   
diff -Nbaur --exclude=config.make --exclude=configure --exclude='SOGoCASSession.*' --exclude='LDAPSource.*' --exclude='SOGoUserManager.*' --exclude='*.css' SOGo-1.3.4-dist/SoObjects/SOGo/SOGoSystemDefaults.h SOGo-1.3.4/SoObjects/SOGo/SOGoSystemDefaults.h
--- SOGo-1.3.4-dist/SoObjects/SOGo/SOGoSystemDefaults.h	2010-11-17 17:30:03.000000000 +0100
+++ SOGo-1.3.4/SoObjects/SOGo/SOGoSystemDefaults.h	2010-12-07 13:07:32.000000000 +0100
@@ -59,6 +59,8 @@
 
 - (BOOL) uixDebugEnabled;
 
+- (NSString *) pageTitle;
+
 - (NSArray *) supportedLanguages;
 - (NSString *) loginSuffix;
 
diff -Nbaur --exclude=config.make --exclude=configure --exclude='SOGoCASSession.*' --exclude='LDAPSource.*' --exclude='SOGoUserManager.*' --exclude='*.css' SOGo-1.3.4-dist/SoObjects/SOGo/SOGoSystemDefaults.m SOGo-1.3.4/SoObjects/SOGo/SOGoSystemDefaults.m
--- SOGo-1.3.4-dist/SoObjects/SOGo/SOGoSystemDefaults.m	2010-11-17 17:30:03.000000000 +0100
+++ SOGo-1.3.4/SoObjects/SOGo/SOGoSystemDefaults.m	2010-12-07 13:08:25.000000000 +0100
@@ -271,6 +271,11 @@
   return [self boolForKey: @"SOGoUIxDebugEnabled"];
 }
 
+- (NSString *) pageTitle
+{
+  return [self stringForKey: @"SOGoPageTitle"];
+}
+
 - (NSArray *) supportedLanguages
 {
   return [self stringArrayForKey: @"SOGoSupportedLanguages"];
diff -Nbaur --exclude=config.make --exclude=configure --exclude='SOGoCASSession.*' --exclude='LDAPSource.*' --exclude='SOGoUserManager.*' --exclude='*.css' SOGo-1.3.4-dist/UI/Common/UIxPageFrame.m SOGo-1.3.4/UI/Common/UIxPageFrame.m
--- SOGo-1.3.4-dist/UI/Common/UIxPageFrame.m	2010-11-17 17:30:03.000000000 +0100
+++ SOGo-1.3.4/UI/Common/UIxPageFrame.m	2010-12-07 13:09:07.000000000 +0100
@@ -78,6 +78,14 @@
 
 - (NSString *) title
 {
+  NSString *pageTitle;
+  SOGoSystemDefaults *sd;
+
+  sd = [SOGoSystemDefaults sharedSystemDefaults];
+  pageTitle = [sd pageTitle];
+  if ([pageTitle length])
+    return pageTitle;
+
   if ([self isUIxDebugEnabled])
     return title;
 
patch-1.3.4-PageTitle.txt (1,951 bytes)   
paubry

paubry

2010-12-08 09:46

reporter   ~0001938

Sorry, I did not see that title was also used by methods helpURL and helpWindowTarget.
New patch attached.
PA

2010-12-08 09:46

 

patch-1.3.4-PageTitle2.txt (3,249 bytes)   
diff -Nbaur --exclude=config.make --exclude=configure --exclude='SOGoCASSession.*' --exclude='LDAPSource.*' --exclude='SOGoUserManager.*' --exclude='*.css' SOGo-1.3.4-dist/SoObjects/SOGo/SOGoSystemDefaults.h SOGo-1.3.4/SoObjects/SOGo/SOGoSystemDefaults.h
--- SOGo-1.3.4-dist/SoObjects/SOGo/SOGoSystemDefaults.h	2010-11-17 17:30:03.000000000 +0100
+++ SOGo-1.3.4/SoObjects/SOGo/SOGoSystemDefaults.h	2010-12-07 13:07:32.000000000 +0100
@@ -59,6 +59,8 @@
 
 - (BOOL) uixDebugEnabled;
 
+- (NSString *) pageTitle;
+
 - (NSArray *) supportedLanguages;
 - (NSString *) loginSuffix;
 
diff -Nbaur --exclude=config.make --exclude=configure --exclude='SOGoCASSession.*' --exclude='LDAPSource.*' --exclude='SOGoUserManager.*' --exclude='*.css' SOGo-1.3.4-dist/SoObjects/SOGo/SOGoSystemDefaults.m SOGo-1.3.4/SoObjects/SOGo/SOGoSystemDefaults.m
--- SOGo-1.3.4-dist/SoObjects/SOGo/SOGoSystemDefaults.m	2010-11-17 17:30:03.000000000 +0100
+++ SOGo-1.3.4/SoObjects/SOGo/SOGoSystemDefaults.m	2010-12-07 13:08:25.000000000 +0100
@@ -271,6 +271,11 @@
   return [self boolForKey: @"SOGoUIxDebugEnabled"];
 }
 
+- (NSString *) pageTitle
+{
+  return [self stringForKey: @"SOGoPageTitle"];
+}
+
 - (NSArray *) supportedLanguages
 {
   return [self stringArrayForKey: @"SOGoSupportedLanguages"];
diff -Nbaur --exclude=config.make --exclude=configure --exclude='SOGoCASSession.*' --exclude='LDAPSource.*' --exclude='SOGoUserManager.*' --exclude='*.css' SOGo-1.3.4-dist/UI/Common/UIxPageFrame.h SOGo-1.3.4/UI/Common/UIxPageFrame.h
--- SOGo-1.3.4-dist/UI/Common/UIxPageFrame.h	2010-11-17 17:30:03.000000000 +0100
+++ SOGo-1.3.4/UI/Common/UIxPageFrame.h	2010-12-08 15:34:53.000000000 +0100
@@ -37,6 +37,7 @@
 @interface UIxPageFrame : UIxComponent
 {
   NSString *title;
+  NSString *pageTitle;
   NSString *toolbar;
   id item;
   BOOL isPopup;
diff -Nbaur --exclude=config.make --exclude=configure --exclude='SOGoCASSession.*' --exclude='LDAPSource.*' --exclude='SOGoUserManager.*' --exclude='*.css' SOGo-1.3.4-dist/UI/Common/UIxPageFrame.m SOGo-1.3.4/UI/Common/UIxPageFrame.m
--- SOGo-1.3.4-dist/UI/Common/UIxPageFrame.m	2010-11-17 17:30:03.000000000 +0100
+++ SOGo-1.3.4/UI/Common/UIxPageFrame.m	2010-12-08 15:34:21.000000000 +0100
@@ -84,6 +84,19 @@
   return [self labelForKey: @"SOGo"];
 }
 
+- (NSString *) pageTitle
+{
+  NSString *pageTitle;
+  SOGoSystemDefaults *sd;
+
+  sd = [SOGoSystemDefaults sharedSystemDefaults];
+  pageTitle = [sd pageTitle];
+  if ([pageTitle length])
+    return pageTitle;
+
+  return title;
+}
+
 - (void) setItem: (id) _item
 {
   ASSIGN (item, _item);
diff -Nbaur --exclude=config.make --exclude=configure --exclude='SOGoCASSession.*' --exclude='LDAPSource.*' --exclude='SOGoUserManager.*' --exclude='*.css' SOGo-1.3.4-dist/UI/Templates/UIxPageFrame.wox SOGo-1.3.4/UI/Templates/UIxPageFrame.wox
--- SOGo-1.3.4-dist/UI/Templates/UIxPageFrame.wox	2010-11-17 17:30:03.000000000 +0100
+++ SOGo-1.3.4/UI/Templates/UIxPageFrame.wox	2010-12-08 15:35:34.000000000 +0100
@@ -13,7 +13,7 @@
       xml:lang="en" const:lang="en">
       <head>
 	<title>
-	  <var:string value="title"/>
+	  <var:string value="pageTitle"/>
 	</title>
 	<meta name="hideFrame" var:content="hideFrame" />
 	<meta name="description" content="SOGo Web Interface" />
patch-1.3.4-PageTitle2.txt (3,249 bytes)   
francis

francis

2011-03-30 11:22

administrator   ~0002308

Fixed in revision 85f004835cf5ba09158bc317c859435dd12fe5bf.

Thanks!

Issue History

Date Modified Username Field Change
2010-12-07 07:39 paubry New Issue
2010-12-07 07:39 paubry File Added: patch-1.3.4-PageTitle.txt
2010-12-08 09:46 paubry Note Added: 0001938
2010-12-08 09:46 paubry File Added: patch-1.3.4-PageTitle2.txt
2011-03-30 11:22 francis Note Added: 0002308
2011-03-30 11:22 francis Status new => resolved
2011-03-30 11:22 francis Fixed in Version => 1.3.6
2011-03-30 11:22 francis Resolution open => fixed
2011-03-30 11:22 francis Assigned To => francis